MonoMac 0.0.0.0 MonoMac.Foundation.NSObject System.Collections.Generic.IEnumerable<System.Byte> MonoMac.Foundation.Register("NSData", true) Byte buffer manipulation. This wraps a byte array, this is the way that CocoaTouch represents strongly-typed byte-arrays and is consumed by various CocoaTouch APIs.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("writeToURL:options:error:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("writeToFile:options:error:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.IO.Stream Wraps the NSData into System.IO.Stream Call Dispose on the returned Stream to release the reference to this NSData.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("bytes")
  System.IntPtr Returns a pointer to the data held by this NSData.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("rangeOfData:options:range:")
  MonoMac.Foundation.NSRange `` `` `` NSData to look for. Parameters to the search. Range to search Looks for the dataToFind in this NSData, based on the specified searchOptions in the specified range. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` C# Byte array containing the data to wrap. Creates an NSData that wraps a managed C# byte array. Newly created NSData object wrapping the contents of the array. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithBytes:length:")
  MonoMac.Foundation.NSData `` `` Pointer to a block of data in memory. The size of the block that you want to wrap Creates an NSData from an in-memory block by specifying its address and length. Newly created NSData object wrapping the buffer. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithContentsOfFile:")
  MonoMac.Foundation.NSData `` Path to the filename to wrap as an NSData. Creates an NSData by loading the contents of the specified file into memory. Newly created NSData object exposing the contents of the file, or null on error. This version of FromFile loads the contents of the file into memory on startup, use the to use mmap.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithContentsOfFile:options:error:")
  MonoMac.Foundation.NSData `` `` `` Path to the filename to wrap as an NSData. Options can be used to control the file loading, can be used to force the file to be mapped into the VM, instead of loaded by reading the contents. Returns the error on failure. Creates an NSData by loading the contents of the specified file into memory. Newly created NSData object exposing the contents of the file, or null on error.

  By default NSData will loads the contents of the file in memory by allocating a block of memory and then reading the contents of the file into it.

  The Mapped and MappedAlways parameter instruct NSData to use the kernel's interface to map the file into the process address space. This has a few advantages: instead of allocating read/write memory for the process, that becomes real memory usage, the mapped versions map the file into memory which means that the data is loaded on demand instead of being loaded upfront. This also allows the kernel to discard the data loaded from memory when the system is running low on memory.

- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` System.IO.Stream to wrap as an NSData. Creates an NSData by loading the contents of the provided stream. Newly created NSData, or null if it the stream does not support reading or the stream throws an exception. This method will load the contents of the stream starting at the current location in the stream.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` String to wrap. Creates an NSData for a C# string, the string is encoded in UTF8. Newly creates NSData.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` `` String to wrap. Encoding to use. Creates an NSData for a C# string, the string is encoded using the specified encoding. Newly creates NSData.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithContentsOfURL:")
  MonoMac.Foundation.NSData `` Url pointing to the resource to load into NSData. Cretes an NSData with the contents in the specified url. Newly creates NSData, or null on error.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithContentsOfURL:options:error:")
  MonoMac.Foundation.NSData `` `` `` Url pointing to the resource to load into NSData. Options can be used to control the file loading, can be used to force the file to be mapped into the VM, instead of loaded by reading the contents. Returns the error on failure. Cretes an NSData with the contents in the specified url. Newly creates NSData, or null on error. To be added.
- Property
  0.0.0.0
  System.Byte `` Index into the NSData. Retrieves the byte at the specified position in the NSData object. The value at that position, or an exception if you try to access data beyond its boundaries.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("length")
  System.UInt32 The size of the contents wrapped by this NSData. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` String to convert. Implicit conversion from string to an NSData encoded as UTF8.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Collections.Generic.IEnumerator<System.Byte> Enumerator for the NSDatac contents.
- Method
  0.0.0.0
  System.Collections.IEnumerator Enumerator for the NSDatac contents.
- Method
  0.0.0.0
  System.String Returns a string representation of the value of the current instance.
- Method
  0.0.0.0
  MonoMac.Foundation.NSString `` The encoding to use to convert the contents. Returns a string representation of the value of the current instance.